## libmoe 1.5.7

=== Makefile ===
--- 
+++ 
@@ -47,8 +47,8 @@
 INST=${Hs}
 INSTLIBA=${DEST}.a
 INSTLIBSO=${DEST}.so ${DEST}.so.${VER}.${RELEASE} ${DEST}.so.${VER}.${RELEASE}.${LEVEL}
-INSTLIBEXEC=mk_btri
-INSTBIN=mbconv
+INSTLIBEXEC=mk_btri${EXT}
+INSTBIN=mbconv${EXT}
 
 DEBUG=
 CF=${DEBUG} -O2 -Wall -fpic -I.
@@ -59,12 +59,16 @@
 RANLIB=ranlib
 AR=ar
 
-#  Hideyuki SHIRAI <shirai@rdmg.mgcs.mei.co.jp> informed mee that
-#  Solaris7 requires definisions:
+#  Hideyuki SHIRAI <shirai@rdmg.mgcs.mei.co.jp> informed me that
+#  Solaris7 requires definitions:
 #LF=-dy -G -I  ${DEST}.so.${VER}.${RELEASE}
 #LD=ld
 
-all: mbconv mbconv.man ${INSTLIBA}
+#  Tsutomu OKADA <tsutomu.okada@furuno.co.jp> informed me that
+#  Cygwin requires command extension:
+#EXT=.exe
+
+all: ${INSTLIBA} mbconv mbconv.man
 
 mbconv: mbconv.c ${ALL}
 	${CC} ${CF} -o $@ $< -L. -lmoe
