## libmoe 1.5.8

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include version.mak
 
 DESTDIR=
+INSTALL=sh ./install.sh
 PREFIX=/usr/local
 INCDIR=${PREFIX}/include/moe
 LIBSODIR=${PREFIX}/lib
@@ -129,25 +130,25 @@
 		${DESTDIR}${LIBSODIR}/${DEST}.so.${VER}.${RELEASE} \
 		${DESTDIR}${LIBSODIR}/${DEST}.so.${VER}.${RELEASE}.* ; \
 		mkdir -p ${DESTDIR}${LIBSODIR} ; \
-		test -d ${DESTDIR}${LIBSODIR} && cp -pd ${INSTLIBSO} ${DESTDIR}${LIBSODIR} ; \
+		test -d ${DESTDIR}${LIBSODIR} && ${INSTALL} ${DESTDIR}${LIBSODIR} ${INSTLIBSO} ; \
 	}
 	test "X${INSTBIN}" \!= X && { \
 		mkdir -p ${DESTDIR}${BINDIR} ; \
-		test -d ${DESTDIR}${BINDIR} && cp -pd ${INSTBIN} ${DESTDIR}${BINDIR} ; \
+		test -d ${DESTDIR}${BINDIR} && ${INSTALL} ${DESTDIR}${BINDIR} ${INSTBIN} ; \
 	}
 
 install-lib: ${INSTLIBA}
 	test "X${INST}" \!= X && { \
 		mkdir -p ${DESTDIR}${INCDIR} ; \
-		test -d ${DESTDIR}${INCDIR} && cp -pd ${INST} ${DESTDIR}${INCDIR} ; \
+		test -d ${DESTDIR}${INCDIR} && ${INSTALL} ${DESTDIR}${INCDIR} ${INST} ; \
 	}
 	test "X${INSTLIBA}" \!= X && { \
 		mkdir -p ${DESTDIR}${LIBADIR} ; \
-		test -d ${DESTDIR}${LIBADIR} && cp -pd ${INSTLIBA} ${DESTDIR}${LIBADIR} ; \
+		test -d ${DESTDIR}${LIBADIR} && ${INSTALL} ${DESTDIR}${LIBADIR} ${INSTLIBA} ; \
 	}
 	test "X${INSTLIBEXEC}" \!= X && { \
 		mkdir -p ${DESTDIR}${LIBEXECDIR} ; \
-		test -d ${DESTDIR}${LIBEXECDIR} && cp -pd ${INSTLIBEXEC} ${DESTDIR}${LIBEXECDIR} ; \
+		test -d ${DESTDIR}${LIBEXECDIR} && ${INSTALL} ${DESTDIR}${LIBEXECDIR} ${INSTLIBEXEC} ; \
 	}
 
 install-man: mbconv.man
