=== debian/changelog ===
libmoe (1.5.8-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6
  * debian/control:
    + Add VCS fields.
    + Add ${misc:Depends} to Depends.
  * debian/watch: Added.
  * debian/patches/gcc5.patch: Fix FTBFS with GCC-5 (Closes: #777958)
  * debian/source/format: 3.0 (quilt).
  * Remove autogenerated files.
  * debian/rules:
    + Change to dh7 style.
    + Add make option to reproducible build (Closes: #779167)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 08 Jul 2015 13:44:54 +0900

libmoe (1.5.8-1) unstable; urgency=low

  * New maintainer (Closes: #541045)
  * New upstream release
  * update policy 3.8.3. 
  * debian/control: change section to libdevel from devel
  * debian/control: depends debhelper(>= 7.0.0)
  * debian/rules: remove DH_COMPAT

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 21 Nov 2009 14:46:36 +0900

libmoe (1.5.7-1) unstable; urgency=low

  * New upstream release
  * fix FTBFS with gcc-3.4: label at end of compound statement
    closes: Bug#260430.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 30 Oct 2004 01:46:47 +0900

libmoe (1.5.6-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 22 Mar 2004 02:15:10 +0900

libmoe (1.5.3-2) unstable; urgency=low

  * mbconv move from libmoe-dev to libmoe1.5, closes: Bug#171576

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  4 Dec 2002 01:14:08 +0900

libmoe (1.5.3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 21 Apr 2002 01:42:56 +0900

libmoe (1.5.2-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 20 Feb 2002 00:01:55 +0900

libmoe (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 Feb 2002 12:12:40 +0900

libmoe (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  6 Feb 2002 01:25:29 +0900

libmoe (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 21 Dec 2001 00:49:41 +0900

libmoe (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  4 Dec 2001 01:36:23 +0900

libmoe (1.3.9-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  3 Jun 2001 03:01:40 +0900

libmoe (1.3.6-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 May 2001 00:25:19 +0900

libmoe (1.3.3-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 21 Apr 2001 03:32:05 +0900

libmoe (1.3.2-2) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 23 Mar 2001 15:13:11 +0900

libmoe (1.2.2-1) unstable; urgency=low

  * new upstream version

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 28 Feb 2001 00:20:32 +0900

libmoe (1.2.1-2) unstable; urgency=low

  * fix build fails on alpha, closes: Bug#87712

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 26 Feb 2001 22:51:55 +0900

libmoe (1.2.1-1) unstable; urgency=low

  * Initial Release, closes: Bug#86530

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 19 Feb 2001 22:20:11 +0900

Local variables:
mode: debian-changelog
End:
