=== debian/control ===
Source: libmoe
Section: libdevel
Priority: optional
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper(>= 7.0.0), perl
Vcs-Git: git://git.debian.org/collab-maint/libmoe.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libmoe.git;a=summary

Package: libmoe-dev
Architecture: any
Depends: ${misc:Depends}, libmoe1.5 (= ${binary:Version}), libc6-dev
Conflicts: libiso2mb-dev
Replaces: libiso2mb-dev
Description: library to handle multiple octets character encoding scheme (devel files)
 libmoe is a collection of routines to handle sequence of characters
 consisting of multiple octets.  The main functionalities are to convert 
 the encoding of a character from ISO 2022 to "fake" UTF-8, and vice versa.
 .
 This development package contains include files for the interface.
 It includes also a static lib for particular cases.

Package: libmoe1.5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to handle multiple octets character encoding scheme
 libmoe is a collection of routines to handle sequence of characters
 consisting of multiple octets.  The main functionalities are to convert 
 the encoding of a character from ISO 2022 to "fake" UTF-8, and vice versa.
