=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install
	$(MAKE) install \
                DESTDIR=`pwd`/debian/tmp \
                PREFIX=/usr \
                LIBEXECDIR='$${PREFIX}/lib/moe' \
                MANDIR=/usr/share/man
		MANCOMPR="gzip -9cn"

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)


#	dh_movefiles -plibmoe$(VER).$(RELEASE) \
#		usr/lib/libmoe.so.$(VER).$(RELEASE) \
#		usr/lib/libmoe.so.$(VER).$(RELEASE).$(LEVEL) \
##		usr/bin/mbconv \
#		usr/share/man/man1/mbconv.1.gz
